| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_IS_VMD_TUPLE

BOOST_VMD_IS_VMD_TUPLE — Determines if a sequence is a VMD tuple.

## Synopsis

    // In header: <boost/vmd/tuple/is_vmd_tuple.hpp>

    BOOST_VMD_IS_VMD_TUPLE(sequence)

## Description

The macro checks that the sequence is a VMD tuple. A VMD tuple, which may be a Boost PP tuple or emptiness, is a superset of a Boost PP tuple. It returns 1 if it is a VMD tuple, else if returns 0.

sequence = a possible Boost PP tuple

returns = 1 if it a VMD tuple, else returns 0.